<?php

require_once "conn.php";

$stmt = $conn->prepare("SELECT id, id_lokasi, sumber_dana, judul, keterangan, lokasi, volume, tahun_anggaran, pelaksana_kegiatan, created_at, foto, anggaran, waktu, satuan_waktu, sifat_proyek  FROM pembangunan;");

$stmt->execute();
$stmt->bind_result($id, $id_lokasi, $dana, $judul, $keterangan, $lokasi, $volume, $tahun, $pelaksana, $dibuat, $foto, $anggaran, $waktu, $satuan_waktu, $sifat);

$pembangunan = array();

while($stmt->fetch()){
    $temp = array();
    $temp['id'] = $id;
    $temp['id lokasi'] = $id_lokasi;
    $temp['sumber dana'] = $dana;
    $temp['judul'] = $judul;
    $temp['keterangan'] = $keterangan;
    $temp['lokasi'] = $lokasi;
    $temp['volume'] = $volume;
    $temp['tahun'] = $tahun;
    $temp['pelaksana'] = $pelaksana;
    $temp['tanggal dibuat'] = $dibuat;
    $temp['foto'] = $foto;
    $temp['anggaran'] = $anggaran;
    $temp['waktu'] = $waktu;
    $temp['satuan_waktu'] = $satuan_waktu;
    $temp['sifat'] = $sifat;

    array_push($pembangunan, $temp);
}

echo json_encode($pembangunan);